2019-12-08 02:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000959Spring engineGeneralpublic2008-07-11 18:31
Reporterzenzike 
Assigned ToAuswaschbar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.76b1+svn 
Target VersionFixed in Version 
Summary0000959: Warning during compile
DescriptionWhen I compile the SVN version in linux I get the following warning:

build/rts/lib/lua/src/loslib.o: In function `os_tmpname(lua_State*)':
loslib.cpp:(.text+0x51): warning: the use of `tmpnam' is dangerous, better use `mkstemp'

Not sure how serious this is, but thought I'd flag it up.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0002405

Auswaschbar (reporter)

Fixed in cmake-buildsystem by using -DLUA_USE_MKSTEMP when compiling lua.
+Notes

-Issue History
Date Modified Username Field Change
2008-06-18 19:49 zenzike New Issue
2008-07-11 18:31 Auswaschbar Status new => resolved
2008-07-11 18:31 Auswaschbar Resolution open => fixed
2008-07-11 18:31 Auswaschbar Assigned To => Auswaschbar
2008-07-11 18:31 Auswaschbar Note Added: 0002405
+Issue History